import "antd/es/spin/style";
import _Spin from "antd/es/spin";
import './index.less';
import React from 'react';
import classNames from 'classnames';
import { DragContent } from '../components';

var SubfieldContent = function SubfieldContent(props) {
  var _props$leftSiderWidth = props.leftSiderWidth,
      leftSiderWidth = _props$leftSiderWidth === void 0 ? 180 : _props$leftSiderWidth,
      leftSiderNode = props.leftSiderNode,
      children = props.children,
      className = props.className,
      style = props.style,
      leftSiderClassName = props.leftSiderClassName,
      _props$loading = props.loading,
      loading = _props$loading === void 0 ? false : _props$loading,
      loadingTip = props.loadingTip,
      leftSiderDragDirection = props.leftSiderDragDirection,
      leftSiderMoveMaxWidth = props.leftSiderMoveMaxWidth,
      leftSiderMoveMaxHeight = props.leftSiderMoveMaxHeight;
  return /*#__PURE__*/React.createElement("div", {
    className: classNames('spec-grid-content', loading ? 'spec-grid-content-loading' : '', className),
    style: style
  }, loading && /*#__PURE__*/React.createElement(_Spin, {
    spinning: loading,
    tip: loadingTip
  }), /*#__PURE__*/React.createElement(DragContent, {
    direction: leftSiderDragDirection,
    className: classNames('spec-grid-left', leftSiderClassName),
    style: {
      width: "".concat(leftSiderWidth || 180, "px")
    },
    moveMaxWidth: leftSiderMoveMaxWidth,
    moveMaxHeight: leftSiderMoveMaxHeight
  }, leftSiderNode), /*#__PURE__*/React.createElement("div", {
    className: "spec-grid-right"
  }, children));
};

export default SubfieldContent;