"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/spin/style");

var _spin = _interopRequireDefault(require("antd/es/spin"));

require("./index.less");

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _components = require("../components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SubfieldContent = function SubfieldContent(props) {
  var _props$leftSiderWidth = props.leftSiderWidth,
      leftSiderWidth = _props$leftSiderWidth === void 0 ? 180 : _props$leftSiderWidth,
      leftSiderNode = props.leftSiderNode,
      children = props.children,
      className = props.className,
      style = props.style,
      leftSiderClassName = props.leftSiderClassName,
      _props$loading = props.loading,
      loading = _props$loading === void 0 ? false : _props$loading,
      loadingTip = props.loadingTip,
      leftSiderDragDirection = props.leftSiderDragDirection,
      leftSiderMoveMaxWidth = props.leftSiderMoveMaxWidth,
      leftSiderMoveMaxHeight = props.leftSiderMoveMaxHeight;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('spec-grid-content', loading ? 'spec-grid-content-loading' : '', className),
    style: style
  }, loading && /*#__PURE__*/_react.default.createElement(_spin.default, {
    spinning: loading,
    tip: loadingTip
  }), /*#__PURE__*/_react.default.createElement(_components.DragContent, {
    direction: leftSiderDragDirection,
    className: (0, _classnames.default)('spec-grid-left', leftSiderClassName),
    style: {
      width: "".concat(leftSiderWidth || 180, "px")
    },
    moveMaxWidth: leftSiderMoveMaxWidth,
    moveMaxHeight: leftSiderMoveMaxHeight
  }, leftSiderNode), /*#__PURE__*/_react.default.createElement("div", {
    className: "spec-grid-right"
  }, children));
};

var _default = SubfieldContent;
exports.default = _default;